> ## Documentation Index
> Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Starts OAuth For Twitter Account

> <div><div>   <span style= "display: inline-block;     width: 25px; height: 25px;     background-color: red;     color: black;     font-weight: bold;     font-size: 24px;     text-align: center;     li

\<div>\<div>
\<span style= "display: inline-block;
width: 25px; height: 25px;
background-color: red;
color: black;
font-weight: bold;
font-size: 24px;
text-align: center;
line-height: 20px;
border: 2px solid black;
border-radius: 20%;
margin-right: 10px;">
!
\</span>
\<span>\<strong>As of December 4, 2024, X (formerly Twitter) is no longer supported. We apologise for any inconvenience.\</strong>\</span>
\</div>\</div>

```http theme={null}
GET https://services.leadconnectorhq.com/social-media-posting/oauth/twitter/start
```

## Autorización

<ParamField header="Authorization" type="string" required>
  Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication).
</ParamField>

<ParamField header="Version" type="string" required default="2021-07-28">
  Versión de la API.
</ParamField>

## Query parameters

<ParamField query="locationId" type="string" required default="w37swmmLbA02zgqKPpxITe2">
  Account Id
</ParamField>

<ParamField query="userId" type="string" required default="u37swmmLbA02zgqKPpxITe2">
  User Id
</ParamField>

<ParamField query="page" type="string" default="integration">
  Page
</ParamField>

<ParamField query="reconnect" type="string" default="true">
  Reconnect
</ParamField>

## Respuestas

<Accordion title="200 - Successful Response" />

<Accordion title="400 - Bad Request">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="401 - Unauthorized">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="422 - Unprocessable Entity">
  ```json theme={null}
  {}
  ```
</Accordion>

## Ejemplo

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET 'https://services.leadconnectorhq.com/social-media-posting/oauth/twitter/start' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Version: 2021-07-28'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://services.leadconnectorhq.com/social-media-posting/oauth/twitter/start', {
    method: 'GET',
    headers: {
      Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
      Version: '2021-07-28',
    },
  });
  const data = await response.json();
  ```

  ```python Python theme={null}
  import os, requests
  response = requests.request(
      'GET',
      'https://services.leadconnectorhq.com/social-media-posting/oauth/twitter/start',
      headers={
          'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
          'Version': '2021-07-28',
      },
  )
  data = response.json()
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://services.leadconnectorhq.com/social-media-posting/oauth/twitter/start');
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'GET',
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
          'Version: 2021-07-28',
      ],
  ]);
  $data = json_decode(curl_exec($ch), true);
  ```
</CodeGroup>
